For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTCreate Incoming Transactions
      • POSTCreate Bulk Transactions Upload URL
      • POSTCreate Audits
      • GETGet Earned Rewards
Get supportSee a Demo
API ReferenceTransactions

Create Audits

POST
/v2/issuers/:organizationId/users/:userId/audits
POST
/v2/issuers/:organizationId/users/:userId/audits
$curl -X POST https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/audits \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "type": "audit",
> "attributes": {
> "auditCode": 8001,
> "merchantName": "Caribbean Goodness",
> "auditDescription": "duplicate transaction",
> "transactionId": "issuerTransaction123"
> }
> }
> ]
>}'
1{
2 "data": [
3 {
4 "type": "audit",
5 "attributes": {
6 "transactionId": "issuerTransaction123"
7 },
8 "id": "d80a6f28-1b24-4d65-9e42-e1cf3379bc98"
9 }
10 ]
11}

Call this endpoint to request that a particular transaction be audited further by the Kard system, in the event of a missing cashback claim, incorrect cashback amount claim or other mis-match claims.
Required scopes: audit:write

Was this page helpful?
Previous

Get Earned Rewards

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system

Request

This endpoint expects an object.
datalist of objectsRequired

Response

This endpoint returns an object.
datalist of objects

Errors

207
Create Audit Multi Status
400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
409
Conflict Error
500
Internal Server Error